Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jbpm
Class EndedProcess

    java.lang.Object
      org.mule.module.jbpm.EndedProcess

All Implemented Interfaces:
  Serializable, org.jbpm.api.Execution, org.jbpm.api.ProcessInstance

    public class EndedProcess

extends Object
implements org.jbpm.api.ProcessInstance

Placeholder used to get status for a process in a uniform way, even if it has ended.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jbpm.api.Execution
`STATE_ACTIVE_CONCURRENT, STATE_ACTIVE_ROOT, STATE_ASYNC, STATE_CREATED, STATE_ENDED, STATE_INACTIVE_CONCURRENT_ROOT, STATE_INACTIVE_JOIN, STATE_INACTIVE_SCOPE, STATE_SUSPENDED`

Constructor Summary
`EndedProcess(String id)`

Method Summary
`Set<String>` | `findActiveActivityNames()`
`org.jbpm.api.Execution` | `findActiveExecutionIn(String activityName)`
`org.jbpm.api.Execution` | `getExecution(String name)`
`Collection<? extends org.jbpm.api.Execution>` | `getExecutions()`
`Map<String,org.jbpm.api.Execution>` | `getExecutionsMap()`
`String` | `getId()`
`boolean` | `getIsProcessInstance()`
`String` | `getKey()`
`String` | `getName()`
`org.jbpm.api.Execution` | `getParent()`
`int` | `getPriority()`
`String` | `getProcessDefinitionId()`
`org.jbpm.api.Execution` | `getProcessInstance()`
`String` | `getState()`
`org.jbpm.api.Execution` | `getSubProcessInstance()`
`boolean` | `hasExecution(String executionName)`
`boolean` | `isActive(String activityName)`
`boolean` | `isEnded()`
`boolean` | `isSuspended()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndedProcess

    public EndedProcess(String id)

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `org.jbpm.api.Execution`

### isEnded

    public boolean isEnded()

  Specified by:
    `isEnded` in interface `org.jbpm.api.Execution`

### findActiveActivityNames

    public Set<String> findActiveActivityNames()

  Specified by:
    `findActiveActivityNames` in interface `org.jbpm.api.Execution`

### findActiveExecutionIn

    public org.jbpm.api.Execution findActiveExecutionIn(String activityName)

  Specified by:
    `findActiveExecutionIn` in interface `org.jbpm.api.Execution`

### getExecution

    public org.jbpm.api.Execution getExecution(String name)

  Specified by:
    `getExecution` in interface `org.jbpm.api.Execution`

### getExecutions

    public Collection<? extends org.jbpm.api.Execution> getExecutions()

  Specified by:
    `getExecutions` in interface `org.jbpm.api.Execution`

### getExecutionsMap

    public Map<String,org.jbpm.api.Execution> getExecutionsMap()

  Specified by:
    `getExecutionsMap` in interface `org.jbpm.api.Execution`

### getIsProcessInstance

    public boolean getIsProcessInstance()

  Specified by:
    `getIsProcessInstance` in interface `org.jbpm.api.Execution`

### getKey

    public String getKey()

  Specified by:
    `getKey` in interface `org.jbpm.api.Execution`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jbpm.api.Execution`

### getParent

    public org.jbpm.api.Execution getParent()

  Specified by:
    `getParent` in interface `org.jbpm.api.Execution`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `org.jbpm.api.Execution`

### getProcessDefinitionId

    public String getProcessDefinitionId()

  Specified by:
    `getProcessDefinitionId` in interface `org.jbpm.api.Execution`

### getProcessInstance

    public org.jbpm.api.Execution getProcessInstance()

  Specified by:
    `getProcessInstance` in interface `org.jbpm.api.Execution`

### getSubProcessInstance

    public org.jbpm.api.Execution getSubProcessInstance()

  Specified by:
    `getSubProcessInstance` in interface `org.jbpm.api.Execution`

### getState

    public String getState()

  Specified by:
    `getState` in interface `org.jbpm.api.Execution`

### hasExecution

    public boolean hasExecution(String executionName)

  Specified by:
    `hasExecution` in interface `org.jbpm.api.Execution`

### isActive

    public boolean isActive(String activityName)

  Specified by:
    `isActive` in interface `org.jbpm.api.Execution`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `org.jbpm.api.Execution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.